Summary:	setup.rb - a generic installer for Ruby scripts
Summary(pl.UTF-8):	setup.rb - ogólny instalator dla skryptów języka Ruby
Name:		setup.rb
Version:	3.4.1
Release:	6%{?tld}
License:	LGPL v2.1
Group:		Development/Tools
Source0:	http://i.loveruby.net/archive/setup/setup-%{version}.tar.gz
# Source0-md5:	f0759ec72473e5802d9571df4da6642c
Patch0:		rbconfig-deprecation.patch
URL:		http://i.loveruby.net/en/projects/setup/
BuildRequires:	rpmbuild(macros) >= 1.665
Requires:	ruby-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
setup.rb is a generic installer for Ruby scripts.

%description -l pl.UTF-8
setup.rb to ogólny instalator dla skryptów języka Ruby.

%prep
%setup -q -n setup-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}
cp -p setup.rb $RPM_BUILD_ROOT%{_datadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog Makefile README.en TODO doc.en NEWS.en Template.README.en Usage_en.txt sample
%lang(ja) %doc README.ja doc.ja NEWS.ja Template.README.ja Usage_ja.txt
%attr(755,root,root) %{_datadir}/%{name}
%changelog
* Wed May 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/setup.rb.git;a=log;h=0387ab5ec725cc645780f3774b37a92b73656bf5

* Sun Jun 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 0387ab5
- R: ruby-modules (e.g. rbconfig)

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> ec8d94c
- handle Config drop in Ruby 2.3

* Thu Jan 22 2015 Elan Ruusamäe <glen@delfi.ee> 3fef16b
- rubyprov does nothing

* Thu Jul 11 2013 Elan Ruusamäe <glen@delfi.ee> 8b23856
- build noarch

* Sat Nov 17 2012 Jakub Bogusz <qboosh@pld-linux.org> a4de4c4
- License is LGPL
- proper lang tag

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> a4a78be
- rel 3

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> b98f793
- release 2

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 981a745
- cleanup

* Sun May 04 2008 twittner <twittner@pld-linux.org> b5a1b99
- up to 3.4.1
- noarch

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d51fc90
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5985fa5
- converted to UTF-8

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> ba65450
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> c949cd8
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 5503aa9
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Mon Dec 26 2005 Elan Ruusamäe <glen@pld-linux.org> f3df8b2
- use system ruby macros; cleanups

* Sun Jun 26 2005 Jakub Bogusz <qboosh@pld-linux.org> bf77055
- pl, cleanup

* Sat Jun 25 2005 aredridel <aredridel@pld-linux.org> 86ab054
- added

